summaryrefslogtreecommitdiffstats
path: root/xpa/xpatests
diff options
context:
space:
mode:
authorWilliam Joye <wjoye@cfa.harvard.edu>2017-10-26 16:45:12 (GMT)
committerWilliam Joye <wjoye@cfa.harvard.edu>2017-10-26 16:45:12 (GMT)
commitdd1df8d8538f275b17e0d9d50dca19f4d44595fd (patch)
tree624bc07023b33668147eaa9097279c6fc92b4e48 /xpa/xpatests
parent79d64f400391ce81b4eda73977cb40099256b348 (diff)
parent6054f36bb658916bd231b9002efb94444e2871c8 (diff)
downloadblt-dd1df8d8538f275b17e0d9d50dca19f4d44595fd.zip
blt-dd1df8d8538f275b17e0d9d50dca19f4d44595fd.tar.gz
blt-dd1df8d8538f275b17e0d9d50dca19f4d44595fd.tar.bz2
Merge commit '6054f36bb658916bd231b9002efb94444e2871c8' as 'xpa'
Diffstat (limited to 'xpa/xpatests')
-rwxr-xr-xxpa/xpatests67
1 files changed, 67 insertions, 0 deletions
diff --git a/xpa/xpatests b/xpa/xpatests
new file mode 100755
index 0000000..8362ea8
--- /dev/null
+++ b/xpa/xpatests
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+if [ x"`xpaaccess i_xpa`" != xyes ]; then
+ echo "please start stest before running xpatests ..."
+ exit 1
+fi
+
+LOOPS=100
+TARGET="xpa*"
+ITARGET="i_xpa"
+
+while [ x"$1" != x ]; do
+ case $1 in
+ -a) FLAGS="$FLAGS -m ack=false"
+ shift
+ continue;;
+
+ -d) shift
+ FLAGS="$FLAGS -d $1"
+ shift
+ continue;;
+
+ -f) shift
+ FLAGS="$FLAGS $1"
+ shift
+ continue;;
+
+ -l) shift
+ LOOPS=$1
+ shift
+ continue;;
+
+ -q) FLAGS="$FLAGS -q"
+ shift
+ continue;;
+
+ -s) shift
+ SUFFIX=.$1
+ shift
+ continue;;
+
+ -t) shift
+ TARGET=$1
+ shift
+ continue;;
+ esac
+done
+FLAGS="-l $LOOPS $FLAGS"
+
+echo " "
+echo "starting xpaget test with flags: $FLAGS"
+./ctest${SUFFIX} ${FLAGS} -g "$TARGET"
+
+echo " "
+echo "starting xpaset test with flags: $FLAGS"
+./ctest${SUFFIX} ${FLAGS} -s "$TARGET"
+
+echo " "
+echo "starting xpaget and xpaset test with flags: $FLAGS"
+./ctest${SUFFIX} ${FLAGS} -b "$TARGET"
+
+echo " "
+echo "starting xpainfo test with flags: $FLAGS"
+./ctest${SUFFIX} ${FLAGS} -i "$ITARGET"
+
+echo " "
+echo 'All done!'